Bug 175470 - mkbootdisk fails to create boot disk and errors on iso image
mkbootdisk fails to create boot disk and errors on iso image
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: mkbootdisk (Show other bugs)
4
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Ondrej Dvoracek
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-11 05:26 EST by Henri Schlereth
Modified: 2008-03-09 21:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-09 21:30:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Henri Schlereth 2005-12-11 05:26:37 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
First example:
[root@onslow ~]# mkbootdisk --device /dev/fd0 2.6.14-1.1644_FC4
Insert a disk in /dev/fd0. Any information on the disk will be lost.
Press <Enter> to continue or ^C to abort:
cp: writing `/tmp/mkbootdisk.Ix4133/vmlinuz': No space left on device
cp: writing `/tmp/mkbootdisk.Ix4133/initrd.img': No space left on device
cat: write error: No space left on device
cat: write error: No space left on device
[root@onslow ~]# rpm -q mkbootdisk
mkbootdisk-1.5.2-5

Second example:

mkbootdisk --device iso.img --iso 2.6.14-1.1644_FC4

The second example works but creates a 3MB file. The first example writes the
same size to a floppy and runs out of space. This is a stock kernel from updates





Version-Release number of selected component (if applicable):
mkbootdisk-1.5.2-5

How reproducible:
Always

Steps to Reproduce:
1.mkbootdisk --device /dev/fd0 2.6.14-1.1644_FC4
2.cp: writing `/tmp/mkbootdisk.Ix4133/vmlinuz': No space left on device
cp: writing `/tmp/mkbootdisk.Ix4133/initrd.img': No space left on device
cat: write error: No space left on device
cat: write error: No space left on device
3. Then you have an unusable floppy that registers as 3MB and wont boot.


  

Actual Results:  Tested creating an ISO instead and this appeared to work. 

Expected Results:  I expected the same error but since it is an iso image the size didnt matter.

Additional info:
Comment 1 Peter Vrabec 2005-12-14 05:22:00 EST
I don't think this is a bug. Why do u expect same error on iso image? U can use
iso image on other("bigger") device.
Comment 2 Henri Schlereth 2005-12-14 09:17:40 EST
I am sorry perhaps I wasn't clear enough. mkbootdisk created a 3MB image and tried
to shoehorn it onto a 1.44 MB floppy. I merely tried to create an iso version
because:
1.) I needed a bootable non-hd kernel for my test
2.) To make sure that mkbootdisk wasn't totally broken.
3.) Therefore I need to reopen this bug.
Comment 3 Peter Vrabec 2005-12-15 05:23:26 EST
Mkbootdisk doesn't try to shoehorn large image onto a 1.44 MB floppy, because it
ends before that. 

See --size option in man mkbootdisk.
# mkbootdisk -v --size 3555 2.6.13-1.1532_FC4smp
Insert a disk in /dev/fd0. Any information on the disk will be lost.
Press <Enter> to continue or ^C to abort:
Formatting /tmp/mkbootdisk.Y17678... done.
Copying /boot/vmlinuz-2.6.13-1.1532_FC4smp... done.
Copying /boot/initrd-2.6.13-1.1532_FC4smp.img... done.
Configuring bootloader... done.
dd: opening `/dev/fd0': No such device or address

(there were no floppy disk in drive)
Comment 4 Henri Schlereth 2005-12-15 09:28:28 EST
Yes, it ends before that which means you cannot create a bootable floppy, which
is the default purpose of mkbootdisk. The size option is meaningless since the
default is to create a 1.44MB floppy boot disk. If you had tried your test with
an actual floppy inserted you would have gotten the following:

mkbootdisk -v --size 3555 2.6.14-1.1644_FC4
Insert a disk in /dev/fd0. Any information on the disk will be lost.
Press <Enter> to continue or ^C to abort:
Formatting /tmp/mkbootdisk.F31988... done.
Copying /boot/vmlinuz-2.6.14-1.1644_FC4... done.
Copying /boot/initrd-2.6.14-1.1644_FC4.img... done.
Configuring bootloader... done.
dd: writing `/dev/fd0': No space left on device
21+0 records in
20+0 records out

And again you would have an unbootable floppy. Your choices are that your stock
kernel and initrd.img are too big for mkbootdisk and customers have to be
told to roll their own shrunken down to a fit on a floppy or that 
mkbootdisk no longer can support floppies because the kernel cannot be 
shrunken down.

So I am going to reopen this one last time in an effort to actually have this
issue addressed. This was one of the main reasons that I stopped being a
beta tester. I am tired of RH people dismissing bugs without really double 
checking the results.
Comment 5 Christian Iseli 2007-01-19 19:18:51 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 6 petrosyan 2008-03-09 21:30:02 EDT
Fedora Core 4 is no longer maintained.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.

Note You need to log in before you can comment on or make changes to this bug.